Bug 1730375 - in hammer, report template schedule doesn't work with unique parameter --name when parameters wait and path are provided
Summary: in hammer, report template schedule doesn't work with unique parameter --name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 14:43 UTC by tstrych
Modified: 2020-04-14 13:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27339 0 Normal Closed in hammer, report template schedule doesn't work with unique parameter --name when parameters wait and path are provided 2020-03-02 17:58:03 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:25:03 UTC

Description tstrych 2019-07-16 14:43:31 UTC
Description of problem:
in hammer, report template schedule doesn't work with unique parameter --name when parameters wait and path are provided

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 7

How reproducible:
Always

Steps to Reproduce:
1. create test report template 
2. report-template schedule --name test --wait --path /tmp/

Actual results:
Missing arguments for 'id'

with id it works correctly
hammer report-template schedule --id <test-id>  --wait --path /tmp/
The response has been saved to /tmp/test-<date>.txt

Expected results:
hammer report-template schedule --name test --wait --path /tmp/
The response has been saved to /tmp/test-<date>.txt


Additional info:
Not sure if this is bug for hammer, but I found it here, please if I should choose another component please let me know. (future improvement)

Comment 3 Oleh Fedorenko 2019-07-18 11:14:57 UTC
Created redmine issue https://projects.theforeman.org/issues/27339 from this bug

Comment 4 Bryan Kearney 2019-08-01 20:01:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27339 has been resolved.

Comment 5 tstrych 2020-02-27 17:36:22 UTC
I test this with sat6.7 snap 13 (fixed in: hammer-cli-foreman-0.18.0, my sat 6.7 has hammer_cli_foreman-0.19.6) 

hammer report-template schedule --name test  --wait --path /tmp/
The response has been saved to /tmp/test-2020-02-27.text.

As I can see there was a change in suffix from .txt to .text (this change do not affect this bz in any way)

Verified

Comment 8 errata-xmlrpc 2020-04-14 13:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.